Package com.independentsoft.office.spreadsheet

# Class WebPublishingProperties

java.lang.Object
com.independentsoft.office.spreadsheet.WebPublishingProperties

public class WebPublishingProperties extends Object
The Class WebPublishingProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebPublishingProperties()`
  Instantiates a new web publishing properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WebPublishingProperties`
  `clone()`
  `int`
  `getCodePage()`
  Gets the code page.
  `int`
  `getDpi()`
  Gets the dpi.
  `ScreenSize`
  `getScreenSize()`
  Gets the screen size.
  `boolean`
  `isAllowPng()`
  Checks if is allow png.
  `boolean`
  `isEnableLongFileNames()`
  Checks if is enable long file names.
  `boolean`
  `isThicket()`
  Checks if is thicket.
  `boolean`
  `isVml()`
  Checks if is vml.
  `void`
  `setAllowPng​(boolean allowPng)`
  Sets the allow png.
  `void`
  `setCodePage​(int codePage)`
  Sets the code page.
  `void`
  `setDpi​(int dpi)`
  Sets the dpi.
  `void`
  `setEnableLongFileNames​(boolean enableLongFileNames)`
  Sets the enable long file names.
  `void`
  `setScreenSize​(ScreenSize screenSize)`
  Sets the screen size.
  `void`
  `setThicket​(boolean thicket)`
  Sets the thicket.
  `void`
  `setUseCss​(boolean useCss)`
  Sets the use css.
  `void`
  `setVml​(boolean vml)`
  Sets the vml.
  `String`
  `toString()`
  `boolean`
  `useCss()`
  Use css.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WebPublishingProperties

    public WebPublishingProperties()
    Instantiates a new web publishing properties.

- ## Method Details

  - ### clone

    public WebPublishingProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAllowPng

    public boolean isAllowPng()
    Checks if is allow png.
    Returns:
      true, if is allow png

  - ### setAllowPng

    public void setAllowPng​(boolean allowPng)
    Sets the allow png.
    Parameters:
      `allowPng` - the new allow png

  - ### getCodePage

    public int getCodePage()
    Gets the code page.
    Returns:
      the code page

  - ### setCodePage

    public void setCodePage​(int codePage)
    Sets the code page.
    Parameters:
      `codePage` - the new code page

  - ### useCss

    public boolean useCss()
    Use css.
    Returns:
      true, if successful

  - ### setUseCss

    public void setUseCss​(boolean useCss)
    Sets the use css.
    Parameters:
      `useCss` - the new use css

  - ### getDpi

    public int getDpi()
    Gets the dpi.
    Returns:
      the dpi

  - ### setDpi

    public void setDpi​(int dpi)
    Sets the dpi.
    Parameters:
      `dpi` - the new dpi

  - ### isEnableLongFileNames

    public boolean isEnableLongFileNames()
    Checks if is enable long file names.
    Returns:
      true, if is enable long file names

  - ### setEnableLongFileNames

    public void setEnableLongFileNames​(boolean enableLongFileNames)
    Sets the enable long file names.
    Parameters:
      `enableLongFileNames` - the new enable long file names

  - ### getScreenSize

    public ScreenSize getScreenSize()
    Gets the screen size.
    Returns:
      the screen size

  - ### setScreenSize

    public void setScreenSize​(ScreenSize screenSize)
    Sets the screen size.
    Parameters:
      `screenSize` - the new screen size

  - ### isThicket

    public boolean isThicket()
    Checks if is thicket.
    Returns:
      true, if is thicket

  - ### setThicket

    public void setThicket​(boolean thicket)
    Sets the thicket.
    Parameters:
      `thicket` - the new thicket

  - ### isVml

    public boolean isVml()
    Checks if is vml.
    Returns:
      true, if is vml

  - ### setVml

    public void setVml​(boolean vml)
    Sets the vml.
    Parameters:
      `vml` - the new vml